Bug 104816 - anv: GPU hang with DOOM 2016 using wine-vulkan
Summary: anv: GPU hang with DOOM 2016 using wine-vulkan
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-27 21:18 UTC by Darius Spitznagel
Modified: 2018-08-27 14:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
GPU crash dump (76 bytes, text/plain)
2018-01-27 21:21 UTC, Darius Spitznagel
Details
crash dump (601.23 KB, text/plain)
2018-01-27 22:22 UTC, Darius Spitznagel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Darius Spitznagel 2018-01-27 21:18:22 UTC
Hello devs,

DOOM 2016 is hanging the GPU during gameplay.

[Sat Jan 27 22:03:03 2018] [drm] GPU HANG: ecode 8:0:0x8795fffd, in DOOMx64vk.exe [1646], reason: Hang on render ring, action: reset
[Sat Jan 27 22:03:03 2018] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[Sat Jan 27 22:03:03 2018] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[Sat Jan 27 22:03:03 2018] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[Sat Jan 27 22:03:03 2018] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[Sat Jan 27 22:03:03 2018] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[Sat Jan 27 22:03:03 2018] drm/i915: Resetting chip after gpu hang

It mostly happens when a monster strikes you or when the imp throws a fireball at you.

To be able to play this game with mesa versions higher than 17.1 " you need to compile mesa with ".depthBounds" set to "true" inside src/intel/vulkan/anv_device.c.
Comment 1 Darius Spitznagel 2018-01-27 21:21:12 UTC
Created attachment 136997 [details]
GPU crash dump
Comment 2 Darius Spitznagel 2018-01-27 21:43:11 UTC
This was tested with:
Kernel 4.9.77
libdrm 2.4.88
Mesa master, 17.0.x, 17.1.x, 17.2.x, 17.3.x, 18.0-rc2
Intel(R) Iris Pro 6200 (Broadwell GT3e)
Comment 3 Darius Spitznagel 2018-01-27 22:22:02 UTC
Created attachment 136999 [details]
crash dump
Comment 4 Darius Spitznagel 2018-01-27 22:23:47 UTC
@moderator
Could you please remove the obsolete attachment? I've accidentally uploaded the wrong file.
Comment 5 Darius Spitznagel 2018-01-31 15:03:27 UTC
This seems to be the patch to prevent DOOM 2016 to hang with RADV...

https://cgit.freedesktop.org/mesa/mesa/commit/?id=059af2515ad778f569e999547cb44a195f66c198
Comment 6 Darius Spitznagel 2018-08-27 13:57:54 UTC
This problem is fixed now in bug #104809 and can be closed.
Comment 7 Jason Ekstrand 2018-08-27 14:37:16 UTC
Fixed by the following commit in master:

commit 76b0e4d8c9d3cd8af0b665cec88bded7a61e8ad6
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Sat Aug 25 17:08:04 2018 -0500

    anv: Fill holes in the VF VUE to zero
    
    This fixes a GPU hang in DOOM 2016 running under wine.
    
    Cc: mesa-stable@lists.freedesktop.org
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=104809
    Reviewed-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.